Bug 66288 - bind-9.2.1-0.7x upgrade causes named to crash with "undefined symbol: ENGINE_new"
Summary: bind-9.2.1-0.7x upgrade causes named to crash with "undefined symbol: ENGINE_...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-07 08:17 UTC by preed
Modified: 2007-04-18 16:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-06 21:07:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description preed 2002-06-07 08:17:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
I have a standard RedHat 7.2 box; I upgraded BIND in accordance with
RHSA-2002:105-09, and installed the RPMs with rpm -U --nodeps bind* (the nodeps
is because it was complaining about a missing libcrypto.so, which I've installed
by hand).

When I run /etc/rc.d/init.d/named start, it reported a startup, but then it
didn't start; I did the following to see what was going on:

[root@orbital updates]# /usr/sbin/named -g 
Jun 07 00:50:25.422 starting BIND 9.2.1 -g
Jun 07 00:50:25.423 using 1 CPU
/usr/sbin/named: relocation error: /usr/lib/libdns.so.5: undefined symbol:
ENGINE_new
[root@orbital updates]# 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Upgrade BIND as described in the given security advisory on RHAT 7.2 (using
OpenSSL 0.9.6c)
2. Try to start bind.
3. Watch it not start.
	

Actual Results:  [root@orbital updates]# /usr/sbin/named -g 
Jun 07 00:50:25.422 starting BIND 9.2.1 -g
Jun 07 00:50:25.423 using 1 CPU
/usr/sbin/named: relocation error: /usr/lib/libdns.so.5: undefined symbol:
ENGINE_new
[root@orbital updates]# 


Expected Results:  It would be nice if BIND actually started up. ;-)

Additional info:

You might check... is libdns.so even linked to libcrypto.so? If so, maybe it's
complaining about failing to find the initializer for a new "crypto engine"? I
dunno...

Comment 1 Daniel Walsh 2003-01-06 21:07:43 UTC
This is an installation problem.

Comment 2 preed 2003-01-07 01:09:12 UTC
What, exactly, is the "installation problem?"

The fact that I'm using my own openssl install?

Comment 3 Daniel Walsh 2003-01-07 15:43:09 UTC
Yes and running  rpm -U --nodeps bind* turns off checking to see if the correct
libraries are installed.


Note You need to log in before you can comment on or make changes to this bug.